| 1.0.0 API documentation

Functions
GLM_EXT_quaternion_geometric
Stable extensions

## Functions
template<typename T , qualifier Q>
GLM_FUNC_QUALIFIER GLM_CONSTEXPR qua< T, Q > | cross (qua< T, Q > const &q1, qua< T, Q > const &q2)
| Compute a cross product. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR T | dot (qua< T, Q > const &x, qua< T, Q > const &y)
| Returns dot product of q1 and q2, i.e., q1[0] * q2[0] + q1[1] * q2[1] + ... More...
template<typename T , qualifier Q>
GLM_FUNC_DECL T | length (qua< T, Q > const &q)
| Returns the norm of a quaternions. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL qua< T, Q > | normalize (qua< T, Q > const &q)
| Returns the normalized quaternion. More...

## Detailed Description

Provides geometric functions for quaternion types

Include <glm/ext/quaternion_geometric.hpp> to use the features of this extension.

See also
  Geometric functions
  GLM_EXT_quaternion_float
  GLM_EXT_quaternion_double

## Function Documentation

## ◆ cross()

GLM_FUNC_QUALIFIER GLM_CONSTEXPR qua<T, Q> glm::cross | ( | qua< T, Q > const & | q1,
|  | qua< T, Q > const & | q2
| ) |  |

Compute a cross product.

Template Parameters

  T | Floating-point scalar types
  Q | Value from qualifier enum

See also
  GLM_EXT_quaternion_geometric

## ◆ dot()

GLM_FUNC_DECL GLM_CONSTEXPR T glm::dot | ( | qua< T, Q > const & | x,
|  | qua< T, Q > const & | y
| ) |  |

Returns dot product of q1 and q2, i.e., q1[0] * q2[0] + q1[1] * q2[1] + ...

Template Parameters

  T | Floating-point scalar types.
  Q | Value from qualifier enum

See also
  GLM_EXT_quaternion_geometric

## ◆ length()

GLM_FUNC_DECL T glm::length | ( | qua< T, Q > const & | q | ) |

Returns the norm of a quaternions.

Template Parameters

  T | Floating-point scalar types
  Q | Value from qualifier enum

See also
  GLM_EXT_quaternion_geometric

## ◆ normalize()

GLM_FUNC_DECL qua<T, Q> glm::normalize | ( | qua< T, Q > const & | q | ) |

Returns the normalized quaternion.

Template Parameters

  T | Floating-point scalar types
  Q | Value from qualifier enum

See also
  GLM_EXT_quaternion_geometric